{% extends "skeleton.html.twig" %}

{% block pageTitle %}
{{post.title}}
{% endblock pageTitle %}

{% block pageBody %}
<div class="col-md-8 pt-4">
    {# Generate automatically blogposts from bdd #}
    {% include "Ressources/postCard.html.twig" with {'row': post, 'list': false} %}
    {% if is_granted('ROLE_ADMIN') %}
    <a class="btn btn-secondary" href="{{ path("edit_article", {'id': post.idBlogPost }) }}" role="button">Edit
        article</a>
    <a class="btn btn-danger" href="{{ path("remove_article", {'id': post.idBlogPost }) }}" role="button">Remove
        article</a>
    {% endif %}
</div>
<div class="col-4 pt-4">
    <h2 class="text-center">Commentaires :</h2>
    
    {% for row in comments %}
    <div class="col-sm-12">
        {% include "Ressources/comment.html.twig" with {'row': row} %}
    </div>
    {% endfor %}
    <a class="btn btn-warning btn-block" href="{{ path("add_comment", {'id': post.idBlogPost }) }}" role="button"><i class="far fa-comment-alt"></i> Commenter</a>
</div>
{% endblock pageBody %}